Subject: bug#48073: [External] : bug#48073: 27.2; [Eglot] Don't bind `completion-styles' buffer locally?

From: Drew Adams <[email-masked]>
Date: Tue, 27 Apr 2021 22:06:09 +0000

> > 1. I can't speak to what you say in your first paragraph,
> > other than to say that I'm not surprised that this can
> > cause problems.
> >
> > I expect (but will be relieved if it's not the case)
> > that making global minibuffer variables buffer-local to
> > the minibuffer will break behavior in my "alternative
> 
> Not to the minibuffer.  To the general buffer.  if your alternative
> thing breaks like this, it will probably also break when the user
> sets it legitimately.

Apologies for not following this thread more closely.
I thought this was about (connected to) the proposal
to make the global minibuffer variables, such as
`minibuffer-completion-table' buffer-local to the
minibuffer buffer.

> PS: Have you tried Eglot?  I wonder if Icicles works with it.  I admit
> I've never tried Icicles myself, last time I tried was about 2006, but
> i didn't even know how to load extensions very well.

No, I haven't tried Eglot.  And it's quite likely that
Icicles doesn't work with it.  I don't really have much
time for maintaining stuff, let alone time to experiment.
Sorry.

I don't claim that Icicles is at all typical wrt how it
uses the minibuffer completion table (or other things).
Not at all.  More and more things change in Emacs, so
that my code works less and less.  I used to find the
time and the will to try to keep afloat.  I no longer do.